#include <stdio.h>
  int main () {
    int n, i, j;
    scanf("%d", &n);
    if (n < 0) {
      printf("-1");
      return 1;
    }
    for (i=1;i<=n;i++) {
      for (j=n; 1<=j; j--) {
	if (j % 2 ==1) {
	   printf("*");
	}
	else if (j%2==0) {
	    printf("-");
	}
	
      }
      printf("\n");
    }
    return 0;
  }
